Bug 1845117 - TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to fail frequently
Summary: TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1841013
TreeView+ depends on / blocked
 
Reported: 2020-06-08 13:51 UTC by Lukasz Szaszkiewicz
Modified: 2020-10-27 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1841013
Environment:
Last Closed: 2020-10-27 16:05:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 870 0 None closed make SA Token tests to wait for API Servers to be on the same revision 2020-06-15 07:38:37 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:06:27 UTC

Comment 1 Ke Wang 2020-06-18 09:26:50 UTC
First, confirm if the bug related PRs has been merged in latest OCP build 4.6.0-0.nightly-2020-06-17-180933,

$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-06-17-180933 | grep kube-apiserver
  cluster-kube-apiserver-operator     https://github.com/openshift/cluster-kube-apiserver-operator  bc59649e0c943615905c100fe50b413f92d7aea0
  
$ git log --date local --pretty="%h %an %cd - %s" bc59649 | grep '#870'
18965e5f OpenShift Merge Robot Sat Jun 6 01:17:43 2020 - Merge pull request #870 from p0lyn0mial/refactor-bound-tokens-tests

We can see they already have been merged.

Checking latest job results: https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/job-history/gs/origin-ci-test/pr-logs/directory/pull-ci-openshift-cluster-kube-apiserver-operator-master-e2e-aws-operator?buildId=

We can found the most successful jobs were passed after June 10th, this is exactly the time to merged the PR '#870'. That is to say, the fix worked. So move the bug verified.

Comment 4 errata-xmlrpc 2020-10-27 16:05:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.